Subject: RE: [PATCH net-next 3/5] r8152: add MCU typed read/write functions

From: Hayes Wang <[email-masked]>
Date: Fri, 6 Nov 2020 07:39:59 +0000

Marek Behún <[email-masked]>
> Sent: Friday, November 6, 2020 2:40 PM
[...]
> Hi Hayes,
> 
> just to be clear:
> Are you against defining these functions via macros?
> If so, I can simply rewrite this so that it does not use macros...

I would like the way which let me find the source of the
function easily. I don't like that I couldn't find where these
functions are defined, when I search whole the source code.

For example, for the method which Vladimir Oltean provides,
when I search the keyword "pla_ocp_read_byte", I could easily
find out that the source function is "ocp_read_byte".
However, for your patch, I could only find where the function
is used. I think it is not friendly for the newbie who is not
familiar with this driver.

However, I don't think I am the decision maker. This is
just my view.

> Or are you against implementing these functions themselves?

No.

> 
> BTW, what about patch 5/5 which introduces *_modify helpers?

It is fine.

Best Regards,
Hayes